--message '>>Creating tables.' type info to client
--go
CREATE TABLE t1(
    id integer primary key default global autoincrement( 1000000 ),
    c_int integer,
    c_char char(30)
)
go

set option public.global_database_id=1
go


CREATE PUBLICATION p1 ( TABLE t1 )
go

-- message '>>Adding data.' type info to client
-- go

-- add data to table
-- ten row
create procedure InsertTenRows()
begin
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    insert into t1 ( c_int, c_char ) values ( 10000 * rand(), 'Some string or other' );
    commit
end
go

create procedure InsertOneHundredRows()
begin
    -- message '>>Insert 100 rows.' type info to client;
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
end
go

create procedure InsertOneThousandRows()
begin
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
end
go

create procedure InsertTenThousandRows()
begin
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
end
go

create procedure InsertOneHundredThousandRows()
begin
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
end
go

create procedure InsertOneMillionRows()
begin
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
end
go

-------------------------------------------------
-- Choose a stored procedure to fill the database
-------------------------------------------------

-- call InsertOneHundredRows();
-- go
call InsertOneThousandRows();
go
-- call InsertTenThousandRows()
-- go
-- call InsertOneHundredThousandRows();
-- go
-- call InsertOneHundredRows();
-- go
-- call InsertOneHundredRows();
-- go
-- call InsertOneHundredRows();
-- go

-------------------------------------------------
-- Create synchronization scripts
-------------------------------------------------

-- Snapshot synchronization -- download all rows
call ml_add_table_script( 
    'JasperSampleDotNet', 
    't1', 
    'download_cursor',
    'SELECT id, c_int, c_char FROM t1' )
go

