@echo off
setlocal

set _SABIN=%SQLANY10%\win32
set _DSN=JasperSampleDotNet
set _DBN=%_DSN%

@echo.
@echo ==== Shutting down servers...
"%_SABIN%\mlstop" -q
sleep 3
"%_SABIN%\dbstop" -q -y -c "uid=dba;pwd=sql;eng=%_DBN%;dbf=%_DBN%.db"

@echo.
@echo ==== Deleting report and log files...
if exist *.mle del /q *.mle
if exist *.mls del /q *.mls

@echo.
@echo ==== Deleting the %_DSN% database and data source definition...
if not exist %_DBN%.db goto done_delete_db
"%_SABIN%\dberase" -q -y %_DBN%.db
REM if errorlevel 1 goto RunTimeError
:done_delete_db

REM  Delete the ODBC data sources.
"%_SABIN%\dbdsn" -q -y -d %_DSN%
REM if errorlevel 1 goto RunTimeError

if exist %_DBN%.udb del /q %_DBN%.udb
if exist %_DBN%.~db del /q %_DBN%.~db
REM if errorlevel 1 goto RunTimeError

if exist "ADO.NET Grid Sample\obj" rd /s /q "ADO.NET Grid Sample\obj"
if exist "ADO.NET Grid Sample\bin" rd /s /q "ADO.NET Grid Sample\bin"

goto done
:RunTimeError
echo Error: A step in the sample script failed with an error.

:done
endlocal
